Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.dialogs.io
Class ExportTableDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          info.webinsel.util.swing.OkCancelApplyDialog
                              info.webinsel.util.swing.OkCancelApplyHelpDialog
                                  info.webinsel.wikihelp.client.OkCancelApplyWikiHelpDialog
                                      info.bioinfweb.treegraph.gui.dialogs.EditDialog
                                          info.bioinfweb.treegraph.gui.dialogs.io.ExportTableDialog

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible, RootPaneContainer, WindowConstants

    public class ExportTableDialog

extends EditDialog

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JDialog
`JDialog.AccessibleJDialog`

Nested classes/interfaces inherited from class java.awt.Dialog
`Dialog.AccessibleAWTDialog, Dialog.ModalExclusionType, Dialog.ModalityType`

Nested classes/interfaces inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`private JButton` | `addButton`
`private JRadioButton` | `bothRadioButton`
`private JButton` | `clearButton`
`private JButton` | `downButton`
`static String` | `EXPORT_FILE_EXT`
`private JButton` | `fileButton`
`private JFileChooser` | `fileChooser`
`private JPanel` | `filePanel`
`private JTextField` | `fileTextField`
`private JRadioButton` | `InternalsRadioButton`
`private JPanel` | `jContentPane`
`private JRadioButton` | `LeafsRadioButton`
`private JPanel` | `nodeDataButtonsPanel`
`private NodeBranchDataInput` | `nodeDataInput`
`private JPanel` | `nodeDataPanel`
`private ButtonGroup` | `nodesGroup`
`private JPanel` | `NodesPanel`
`private JButton` | `removeButton`
`private JButton` | `replaceButton`
`private static long` | `serialVersionUID`
`private JTable` | `table`
`private JScrollPane` | `tableScrollPane`
`private JButton` | `upButton`

Fields inherited from class info.webinsel.wikihelp.client.OkCancelApplyWikiHelpDialog
`UNDEFINED_HELP_CODE`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`DEFAULT_MODALITY_TYPE`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ExportTableDialog(Frame owner)`

Method Summary
`protected boolean` | `apply()`
`private JButton` | `getAddButton()` This method initializes addButton
`private JRadioButton` | `getBothRadioButton()` This method initializes bothRadioButton
`private JButton` | `getClearButton()` This method initializes clearButton
`private JButton` | `getDownButton()` This method initializes downButton
`private JButton` | `getFileButton()` This method initializes fileButton
`private JFileChooser` | `getFileChooser()`
`private JPanel` | `getFilePanel()` This method initializes filePanel
`private JTextField` | `getFileTextField()` This method initializes fileTextField
`private JRadioButton` | `getInternalsRadioButton()` This method initializes InternalsRadioButton
`private JPanel` | `getJContentPane()` This method initializes jContentPane
`private JRadioButton` | `getLeafsRadioButton()` This method initializes LeafsRadioButton
`private JPanel` | `getNodeDataButtonsPanel()` This method initializes nodeDataButtonsPanel
`private NodeBranchDataInput` | `getNodeDataInput()`
`private JPanel` | `getNodeDataPanel()` This method initializes nodeDataPanel
`private ButtonGroup` | `getNodesGroup()`
`private JPanel` | `getNodesPanel()` This method initializes NodesPanel
`private JButton` | `getRemoveButton()` This method initializes removeButton
`private JButton` | `getReplaceButton()` This method initializes replaceButton
`private JTable` | `getTable()` This method initializes table
`private ExportNodeDataTableModel` | `getTableModel()`
`private JScrollPane` | `getTableScrollPane()` This method initializes tableScrollPane
`private JButton` | `getUpButton()` This method initializes upButton
`private void` | `initialize()` This method initializes this
`protected boolean` | `onExecute()`
`private void` | `setButtonStatus()`

Methods inherited from class info.bioinfweb.treegraph.gui.dialogs.EditDialog
`execute, getDocument, getSelectedAdapter, getSelection, setDocument, setSelectedAdapter, setSelection`

Methods inherited from class info.webinsel.wikihelp.client.OkCancelApplyWikiHelpDialog
`getHelpCode, getWikiHelp, help, setHelpCode`

Methods inherited from class info.webinsel.util.swing.OkCancelApplyHelpDialog
`addMoreButtons`

Methods inherited from class info.webinsel.util.swing.OkCancelApplyDialog
`execute, getApplyButton, getButtonsPanel, getCancelButton, getOkButton`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Dialog
`addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setModalityType, setResizable, setTitle, setUndecorated, setVisible, show, toBack`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EXPORT_FILE_EXT

    public static final String EXPORT_FILE_EXT

See Also:
  Constant Field Values

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### jContentPane

    private JPanel jContentPane

### nodeDataPanel

    private JPanel nodeDataPanel

### nodeDataInput

    private NodeBranchDataInput nodeDataInput

### tableScrollPane

    private JScrollPane tableScrollPane

### table

    private JTable table

### nodeDataButtonsPanel

    private JPanel nodeDataButtonsPanel

### addButton

    private JButton addButton

### replaceButton

    private JButton replaceButton

### removeButton

    private JButton removeButton

### clearButton

    private JButton clearButton

### upButton

    private JButton upButton

### downButton

    private JButton downButton

### filePanel

    private JPanel filePanel

### fileTextField

    private JTextField fileTextField

### fileButton

    private JButton fileButton

### fileChooser

    private JFileChooser fileChooser

### NodesPanel

    private JPanel NodesPanel

### nodesGroup

    private ButtonGroup nodesGroup

### InternalsRadioButton

    private JRadioButton InternalsRadioButton

### LeafsRadioButton

    private JRadioButton LeafsRadioButton

### bothRadioButton

    private JRadioButton bothRadioButton

Constructor Detail

### ExportTableDialog

    public ExportTableDialog(Frame owner)

Parameters:
  `owner` -

Method Detail

### onExecute

    protected boolean onExecute()

  Specified by:
    `onExecute` in class `EditDialog`

### apply

    protected boolean apply()

  Specified by:
    `apply` in class `info.webinsel.util.swing.OkCancelApplyDialog`

### setButtonStatus

    private void setButtonStatus()

### getTableModel

    private ExportNodeDataTableModel getTableModel()

### initialize

    private void initialize()

  This method initializes this

### getNodeDataInput

    private NodeBranchDataInput getNodeDataInput()

### getJContentPane

    private JPanel getJContentPane()

  This method initializes jContentPane

  Returns:
    javax.swing.JPanel

### getNodeDataPanel

    private JPanel getNodeDataPanel()

  This method initializes nodeDataPanel

  Returns:
    javax.swing.JPanel

### getNodeDataButtonsPanel

    private JPanel getNodeDataButtonsPanel()

  This method initializes nodeDataButtonsPanel

  Returns:
    javax.swing.JPanel

### getTableScrollPane

    private JScrollPane getTableScrollPane()

  This method initializes tableScrollPane

  Returns:
    javax.swing.JScrollPane

### getTable

    private JTable getTable()

  This method initializes table

  Returns:
    javax.swing.JTable

### getAddButton

    private JButton getAddButton()

  This method initializes addButton

  Returns:
    javax.swing.JButton

### getReplaceButton

    private JButton getReplaceButton()

  This method initializes replaceButton

  Returns:
    javax.swing.JButton

### getRemoveButton

    private JButton getRemoveButton()

  This method initializes removeButton

  Returns:
    javax.swing.JButton

### getClearButton

    private JButton getClearButton()

  This method initializes clearButton

  Returns:
    javax.swing.JButton

### getUpButton

    private JButton getUpButton()

  This method initializes upButton

  Returns:
    javax.swing.JButton

### getDownButton

    private JButton getDownButton()

  This method initializes downButton

  Returns:
    javax.swing.JButton

### getFilePanel

    private JPanel getFilePanel()

  This method initializes filePanel

  Returns:
    javax.swing.JPanel

### getFileTextField

    private JTextField getFileTextField()

  This method initializes fileTextField

  Returns:
    javax.swing.JTextField

### getFileButton

    private JButton getFileButton()

  This method initializes fileButton

  Returns:
    javax.swing.JButton

### getFileChooser

    private JFileChooser getFileChooser()

### getNodesPanel

    private JPanel getNodesPanel()

  This method initializes NodesPanel

  Returns:
    javax.swing.JPanel

### getNodesGroup

    private ButtonGroup getNodesGroup()

### getInternalsRadioButton

    private JRadioButton getInternalsRadioButton()

  This method initializes InternalsRadioButton

  Returns:
    javax.swing.JRadioButton

### getLeafsRadioButton

    private JRadioButton getLeafsRadioButton()

  This method initializes LeafsRadioButton

  Returns:
    javax.swing.JRadioButton

### getBothRadioButton

    private JRadioButton getBothRadioButton()

  This method initializes bothRadioButton

  Returns:
    javax.swing.JRadioButton

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD